<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="@dimen/dp_10">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="一键关火"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_14" />

            <RadioButton
                android:id="@+id/turnOffRadioButton"
                android:layout_width="@dimen/titleViewHeight"
                android:layout_height="@dimen/titleViewHeight"
                android:background="@drawable/selector_device_turn_off"
                android:button="@null"
                android:gravity="center" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginVertical="@dimen/dp_10">

            <LinearLayout
                android:id="@+id/leftSwitchLayout"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_55"
                android:layout_marginEnd="@dimen/dp_5"
                android:layout_weight="2"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_10">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_edit" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_5"
                    android:layout_weight="1"
                    android:text="左定时开关"
                    android:textSize="@dimen/sp_16" />

                <Switch
                    android:id="@+id/leftSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/select_switch_circle"
                    android:track="@drawable/select_switch_background"
                    tools:ignore="UseSwitchCompatOrMaterialXml" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_55"
                android:layout_marginStart="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center"
                android:orientation="vertical"
                android:paddingHorizontal="@dimen/dp_20">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:text="左倒计时"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/leftDelayTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:text="--"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="左灶定时"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/leftCookerTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_20"
                    android:fontFamily="sans-serif-medium"
                    android:text="0"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>

            <com.qmuiteam.qmui.widget.QMUISlider
                android:id="@+id/leftCookerTimeSlider"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:qmui_slider_bar_height="@dimen/dp_5"
                app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
                app:qmui_slider_bar_progress_color="@color/mainThemeColor"
                app:qmui_slider_bar_thumb_size="@dimen/dp_25" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/leftCookerMinTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="1"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/leftCookerMaxTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="180"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginVertical="@dimen/dp_10">

            <LinearLayout
                android:id="@+id/rightSwitchLayout"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_55"
                android:layout_marginEnd="@dimen/dp_5"
                android:layout_weight="2"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_10">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_edit" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_5"
                    android:layout_weight="1"
                    android:text="右定时开关"
                    android:textSize="@dimen/sp_16" />

                <Switch
                    android:id="@+id/rightSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/select_switch_circle"
                    android:track="@drawable/select_switch_background"
                    tools:ignore="UseSwitchCompatOrMaterialXml" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_55"
                android:layout_marginStart="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center"
                android:orientation="vertical"
                android:paddingHorizontal="@dimen/dp_20">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:text="右倒计时"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/rightDelayTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:text="--"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginBottom="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="右灶定时"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/rightCookerTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_20"
                    android:fontFamily="sans-serif-medium"
                    android:text="0"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>

            <com.qmuiteam.qmui.widget.QMUISlider
                android:id="@+id/rightCookerTimeSlider"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:qmui_slider_bar_height="@dimen/dp_5"
                app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
                app:qmui_slider_bar_progress_color="@color/mainThemeColor"
                app:qmui_slider_bar_thumb_size="@dimen/dp_25" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/rightCookerMinTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="1"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/rightCookerMaxTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="180"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</androidx.core.widget.NestedScrollView>